package com.ruoyi.framework.recovery.domain;

import java.time.LocalDateTime;
import java.util.Date;

import cn.hutool.core.date.DateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发售信息详情对象 rec_sale_info
 *
 * @author jin
 * @date 2024-11-18
 */
@Data
public class RecSaleInfo extends BaseEntity
{
    private static final long serialVersionUID = -2546842741033173431L;

    /** 发售信息id */
    private Long id;

    /** 发售名称 */
    @Excel(name = "发售名称")
    private String saleName;

    /** 发售价格 */
    @Excel(name = "发售价格")
    private String salePrice;

    /** 市场价格 */
    @Excel(name = "市场价格")
    private String market;

    /** 门店id */
    @Excel(name = "门店id")
    private String storeId;

    @Excel(name = "货号")
    private String catalog;

    /**
     * 活动图片
     */
    private String images;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventStartTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTimeOfActivity;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    private Character topUp;

    /**
     * 置顶排序
     */
    private Integer durationOfTheActivity;

    /**
     * 发售
     */
    private Integer topIndex;
}
