package com.ruoyi.framework.recovery.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回收发售门店对象 rec_stores
 *
 * @author jin
 * @date 2024-11-16
 */
@Data
public class RecStores extends BaseEntity
{
    private static final long serialVersionUID = -4720608856018159687L;

    /** 商品发售门店id */
    private Long id;

    /** 门店名称 */
    @Excel(name = "门店名称")
    private String storesName;

    /** 发售方式 */
    @Excel(name = "发售方式")
    private String saleType;

    /** 发售时间 */
    @Excel(name = "发售时间")
    private String saleTime;

    /** 中签时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime checkTime;

    /** 中签通知方式 */
    @Excel(name = "中签通知方式")
    private String checkType;

    /** 购买时间 */
    @Excel(name = "购买时间")
    private String buyTime;

    /** 发售链接 */
    @Excel(name = "发售链接")
    private String saleLink;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 商品id */
    @Excel(name = "商品id")
    private String commondityId;

    /** 门店位置 */
    @Excel(name = "门店位置")
    private String storesAddress;

    /**
     * 是否通知, T 通知， F 不通知
     */
    @Excel(name = "是否通知")
    private String notice;

    /**
     * 发售数量
     */
    @Excel(name = "发售数量")
    private String saleNum;

    /**
     * 发售城市id
     */
    @Excel(name = "发售城市id")
    private String cityId;

    /**
     * 发售城市
     */
    @Excel(name = "发售城市")
    private String city;

    @Excel(name = "发售门店图片")
    private String images;

    /**
     * 跳转链接
     */
    @Excel(name = "跳转链接")
    private String skipLink;
}
